Commit 0e85111d authored by tonynsyde's avatar tonynsyde
Browse files

Distributed Graph and DistParmetisDistribution test

parent 544e4014
...@@ -131,6 +131,11 @@ echo -e "Installing requirements into: $i_dir " ...@@ -131,6 +131,11 @@ echo -e "Installing requirements into: $i_dir "
## call the configure script ## call the configure script
if [ x"$MPI_valid" == x"yes" ]; then
configure_options="$configure_options CXX=mpic++ "
fi
MPI_installed=0 MPI_installed=0
METIS_installed=0 METIS_installed=0
BOOST_installed=0 BOOST_installed=0
......
openfpm_io @ d5d69140
Subproject commit 136310cb5b8b776eb405f58d5721c879a8d013b5 Subproject commit d5d691407e392ca64094d1b2a6008b5ca33eefe9
openfpm_vcluster @ 104ee3d6
Subproject commit b3cffbf7e1dc64466fd38342d696da8b6d494acd Subproject commit 104ee3d6f6992d8fad992f3405b5b2514a1cd25c
File mode changed from 100644 to 100755
File mode changed from 100644 to 100755
File mode changed from 100644 to 100755
File mode changed from 100644 to 100755
File mode changed from 100644 to 100755
File mode changed from 100644 to 100755
File mode changed from 100644 to 100755
File mode changed from 100644 to 100755
...@@ -224,19 +224,19 @@ else ...@@ -224,19 +224,19 @@ else
minor=$(mpirun --version 2>&1 | grep mpirun | sed 's/.*\([0-9][0-9]*\)\.\([0-9][0-9]*\)\.\([0-9][0-9]*\).*/\3/g') minor=$(mpirun --version 2>&1 | grep mpirun | sed 's/.*\([0-9][0-9]*\)\.\([0-9][0-9]*\)\.\([0-9][0-9]*\).*/\3/g')
if [ $major -gt 1 ]; then if [ $major -gt 1 ]; then
echo -e "mpirun $major.$middle.$minor \033[92;1m SUCCESS \033[0m" echo -e "mpirun $major.$middle.$minor \033[92;1m SUCCESS \033[0m"
MPI_valid=yes
elif [ $major -lt 1 ]; then elif [ $major -lt 1 ]; then
echo -e "mpirun $major.$middle.$minor \033[91;5;1m FAILED \033[0m is too old, 1.8.1 at least required" echo -e "mpirun $major.$middle.$minor \033[91;5;1m FAILED \033[0m is too old, 1.8.1 at least required"
MPI_installation_required=yes
elif [ $middle -gt 8 ]; then elif [ $middle -gt 8 ]; then
echo -e "mpirun $major.$middle.$minor \033[92;1m SUCCESS \033[0m" echo -e "mpirun $major.$middle.$minor \033[92;1m SUCCESS \033[0m"
MPI_valid=yes
elif [ $middle -lt 8 ]; then elif [ $middle -lt 8 ]; then
echo -e "mpirun $major.$middle.$minor \033[91;5;1m FAILED \033[0m is too old, 1.8.1 at least required" echo -e "mpirun $major.$middle.$minor \033[91;5;1m FAILED \033[0m is too old, 1.8.1 at least required"
MPI_installation_required=yes
elif [ $minor -gt 0 ]; then elif [ $minor -gt 0 ]; then
echo -e "mpirun $major.$middle.$minor \033[92;1m SUCCESS \033[0m" echo -e "mpirun $major.$middle.$minor \033[92;1m SUCCESS \033[0m"
MPI_valid=yes
else else
echo -e "mpirun $major.$middle.$minor \033[91;5;1m FAILED \033[0m is too old, 1.8.1 at least required" echo -e "mpirun $major.$middle.$minor \033[91;5;1m FAILED \033[0m is too old, 1.8.1 at least required"
MPI_installation_required=yes
fi fi
fi fi
} }
......
File mode changed from 100644 to 100755
File mode changed from 100644 to 100755
File mode changed from 100644 to 100755
File mode changed from 100644 to 100755
File mode changed from 100644 to 100755
File mode changed from 100644 to 100755
File mode changed from 100644 to 100755
File mode changed from 100644 to 100755
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment